Subject: Re: bug#23269: MirBSD 10 i386 test failures [Re: grep-2.24.13-bed6 feedback

From: Paul Eggert <[email-masked]>
Date: Tue, 19 Apr 2016 09:04:36 -0700

On 04/18/2016 08:05 AM, Paul Eggert wrote:
> 'm afraid someone with access to MirBSD will need to debug it. 

On second thought there is a simpler fix: stop using btowc. I installed 
the attached patch, which is a good idea anyway. By using only mbrtowc 
(which we need to use anyway), it avoids problems on misconfigured 
systems like MirOS BSD where btowc disagrees with mbrtowc.

After writing and debugging this patch I looked at Gawk and noticed that 
it already has its own equivalent of this patch's new mbrtowc_cache 
variable. Gawk obtains its cache via btowc; although this doesn't work 
on MirOS BSD due to its buggy btowc, Arnold says he's not worried about 
MirOS BSD any more which is quite understandable. Still, it's a bit odd 
to have two caches in Gawk that do the same thing; perhaps we can unify 
them at some point.